<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">58</item> <!-- min brite -->
  <item name="bluetooth.active">97</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">292</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>
  <item name="wifi.active">139</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item> <!-- k3v5 -->
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">5450</item> <!-- 5450mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>2</value>
    <value>5</value>
    <value>1</value>
  </array>
  <array name="cpu.core_speeds.cluster0">
    <value>307200</value>
    <value>460800</value>
    <value>556800</value>
    <value>672000</value>
    <value>787200</value>
    <value>902400</value>
    <value>1017600</value>
    <value>1132800</value>
    <value>1248000</value>
    <value>1344000</value>
    <value>1459200</value>
    <value>1574400</value>
    <value>1689600</value>
    <value>1804800</value>
    <value>1920000</value>
    <value>2035200</value>
    <value>2150400</value>
    <value>2265600</value>
  </array>
  <array name="cpu.core_speeds.cluster1">
    <value>499200</value>
    <value>614400</value>
    <value>729600</value>
    <value>844800</value>
    <value>960000</value>
    <value>1075200</value>
    <value>1190400</value>
    <value>1286400</value>
    <value>1401600</value>
    <value>1497600</value>
    <value>1612800</value>
    <value>1708800</value>
    <value>1824000</value>
    <value>1920000</value>
    <value>2035200</value>
    <value>2131200</value>
    <value>2188800</value>
    <value>2246400</value>
    <value>2323200</value>
    <value>2380800</value>
    <value>2438400</value>
    <value>2515200</value>
    <value>2572800</value>
    <value>2630400</value>
    <value>2707200</value>
    <value>2764800</value>
    <value>2841600</value>
    <value>2899200</value>
    <value>2956800</value>   
  </array>
  <array name="cpu.core_speeds.cluster2">
    <value>480000</value>
    <value>576000</value>
    <value>672000</value>
    <value>787200</value>
    <value>902400</value>
    <value>1017600</value>
    <value>1132800</value>
    <value>1248000</value>
    <value>1363200</value>
    <value>1478400</value>
    <value>1593600</value>
    <value>1708800</value>
    <value>1824000</value>
    <value>1939200</value>
    <value>2035200</value>
    <value>2112000</value>
    <value>2169600</value>
    <value>2246400</value>
    <value>2304000</value>
    <value>2380800</value>
    <value>2438400</value>
    <value>2496000</value>
    <value>2553600</value>
    <value>2630400</value>
    <value>2688000</value>
    <value>2745600</value>
    <value>2803200</value>
    <value>2880000</value>
    <value>2937600</value>
    <value>2995200</value>
    <value>3052800</value>
    <value>3187200</value>
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">5</item> <!-- k3v5 -->
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">21</item> <!-- k3v5 -->
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
    <value>18</value>
    <value>26</value>
    <value>33</value>
    <value>45</value>
    <value>55</value>
    <value>63</value>
    <value>74</value>
    <value>85</value>
    <value>99</value>
    <value>124</value>
    <value>141</value>
    <value>169</value>
    <value>191</value>
    <value>232</value>
    <value>274</value>
    <value>308</value>
    <value>325</value>
    <value>348</value>
  </array>
  <array name="cpu.core_power.cluster1">
    <value>87</value>
    <value>107</value>
    <value>127</value>
    <value>142</value>
    <value>158</value>
    <value>186</value>
    <value>219</value>
    <value>249</value>
    <value>271</value>
    <value>291</value>
    <value>326</value>
    <value>346</value>
    <value>369</value>
    <value>389</value>
    <value>431</value>
    <value>488</value>
    <value>501</value>
    <value>514</value>
    <value>546</value>
    <value>560</value>
    <value>601</value>
    <value>620</value>
    <value>656</value>
    <value>671</value>
    <value>690</value>
    <value>705</value>
    <value>724</value>
    <value>738</value>
    <value>753</value>
  </array>
  <array name="cpu.core_power.cluster2">
    <value>89</value>
    <value>107</value>
    <value>124</value>
    <value>146</value>
    <value>167</value>
    <value>180</value>
    <value>207</value>
    <value>232</value>
    <value>274</value>
    <value>303</value>
    <value>332</value>
    <value>370</value>
    <value>417</value>
    <value>443</value>
    <value>481</value>
    <value>529</value>
    <value>562</value>
    <value>582</value>
    <value>602</value>
    <value>622</value>
    <value>667</value>
    <value>683</value>
    <value>725</value>
    <value>747</value>
    <value>792</value>
    <value>809</value>
    <value>888</value>
    <value>912</value>
    <value>976</value>
    <value>995</value>
    <value>1014</value>
    <value>1092</value>
  </array>
</device>